#
# spec file for package purple-carbons
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name carbons
%define _purple_plugindir %(pkg-config --variable plugindir purple)
Name:           purple-carbons
Version:        0.2.3
Release:        1.6
Summary:        Experimental XEP-0280: Message Carbons plugin for libpurple
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://github.com/gkdr/carbons
Source:         https://github.com/gkdr/%{_name}/archive/v%{version}.tar.gz#/%{_name}-%version.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(purple)

%description
Experimental XEP-0280: Message Carbons plugin for libpurple
(Pidgin, Finch, etc).

%package -n libpurple-plugin-%{_name}
Summary:        Experimental XEP-0280: Message Carbons plugin for libpurple
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple

%description -n libpurple-plugin-%{_name}
Experimental XEP-0280: Message Carbons plugin for libpurple
(Pidgin, Finch, etc).

%prep
%setup -q -n %{_name}-%{version}

%build
export CFLAGS="%{optflags}"
export CPPFLAGS="%{optflags}"
make %{?_smp_mflags} V=1

%install
%make_install \
  PURPLE_PLUGIN_DIR="%{_purple_plugindir}"

%files -n libpurple-plugin-%{_name}
%doc README.md
%{_purple_plugindir}/%{_name}.so

%changelog
* Tue Oct 17 2023 ming li <mli@suse.com>
- Update to version 0.2.3:
  * Added
    LICENSE file to make GitHub happy.
    The implemented XEP version to the README.
    A carbons_internal.h file declaring internal functions.
  * Fixed
    AppVeyor will now only push tagged builds to GitHub releases.
    Set rpath for regular build instead of just for tests.
    Stop leaking the retrieved message body.
    Preserve CPPFLAGS and LDFLAGS from env.
* Thu May  2 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.2.2:
  * Use JabberStream to account's domain instead of parsing the
    username
  * Make sure to not edit the client capabilities while connected
  * Do not set any pointers to null while processing (should play
    nicer with other plugins)
  * Makefile improvements
* Sun Oct 14 2018 sor.alexei@meowr.ru
- Update to version 0.2.1:
  * Add a missing null check.
  * Delete some unused constants.
- Remove purple-carbons-fix-omemo-crash.patch: Merged upstream.
* Sun Oct  7 2018 sor.alexei@meowr.ru
- Add purple-carbons-fix-omemo-crash.patch: Fix a crash when an
  OMEMO message is carboned.
* Wed Oct  3 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.2.0:
  * Got rid of the commands, the plugin now sends a feature
    discovery request to the server and activates message carbons
    if they are supported by the server.
* Mon Sep 24 2018 sor.alexei@meowr.ru
- Update to version 0.1.6:
  * Clean up the code a bit.
* Tue May  8 2018 sor.alexei@meowr.ru
- Update to version 0.1.5:
  * Do not interpret the <body> if there is also an <encrypted>
    node.
- Remove the libjabber.so hack: no longer needed.
- Remove unnecessary purple-carbons-rpmlintrc.
* Sun Apr  1 2018 9+suse@cirno.systems
- Remove _service
- Update to 0.1.4
  * Re-enable carbons for active accounts on plugin load
  * Fix various build system issues
* Fri Mar 31 2017 9@cirno.systems
- Initial commit
